Package org.apache.sysds.runtime.compress.colgroup

# Interface ColGroupSizes

public interface ColGroupSizes

## Field Summary

Fields
Modifier and Type
Field
Description
`static final org.apache.commons.logging.Log`
`LOG`

## Method Summary

Static Methods
Modifier and Type
Method
Description
`static long`
`estimateInMemorySizeCONST(int nrColumns, boolean contiguousColumns, double tupleSparsity, boolean lossy)`
`static long`
`estimateInMemorySizeDDC(int nrCols, boolean contiguousColumns, int numTuples, int dataLength, double tupleSparsity, boolean lossy)`
`static long`
`estimateInMemorySizeEMPTY(int nrColumns, boolean contiguousColumns)`
`static long`
`estimateInMemorySizeGroup(int nrColumns, boolean contiguousColumns)`
`static long`
`estimateInMemorySizeGroupValue(int nrColumns, boolean contiguousColumns, int nrValues, double tupleSparsity, boolean lossy)`
`static long`
`estimateInMemorySizeLinearFunctional(int nrColumns, boolean contiguousColumns)`
`static long`
`estimateInMemorySizeOffset(int nrColumns, boolean contiguousColumns, int nrValues, int pointers, int offsetLength, double tupleSparsity, boolean lossy)`
`static long`
`estimateInMemorySizeOLE(int nrColumns, boolean contiguousColumns, int nrValues, int offsetLength, int nrRows, double tupleSparsity, boolean lossy)`
`static long`
`estimateInMemorySizeRLE(int nrColumns, boolean contiguousColumns, int nrValues, int nrRuns, int nrRows, double tupleSparsity, boolean lossy)`
`static long`
`estimateInMemorySizeSDC(int nrColumns, boolean contiguousColumns, int nrValues, int nrRows, int largestOff, double tupleSparsity, boolean largestOffZero, boolean lossy)`
`static long`
`estimateInMemorySizeUncompressed(int nrRows, boolean contiguousColumns, int nrColumns, double sparsity)`

## Field Details

### LOG

static final org.apache.commons.logging.Log LOG

## Method Details

### estimateInMemorySizeGroup

static long estimateInMemorySizeGroup(int nrColumns, boolean contiguousColumns)

### estimateInMemorySizeGroupValue

static long estimateInMemorySizeGroupValue(int nrColumns, boolean contiguousColumns, int nrValues, double tupleSparsity, boolean lossy)

### estimateInMemorySizeDDC

static long estimateInMemorySizeDDC(int nrCols, boolean contiguousColumns, int numTuples, int dataLength, double tupleSparsity, boolean lossy)

### estimateInMemorySizeOffset

static long estimateInMemorySizeOffset(int nrColumns, boolean contiguousColumns, int nrValues, int pointers, int offsetLength, double tupleSparsity, boolean lossy)

### estimateInMemorySizeOLE

static long estimateInMemorySizeOLE(int nrColumns, boolean contiguousColumns, int nrValues, int offsetLength, int nrRows, double tupleSparsity, boolean lossy)

### estimateInMemorySizeRLE

static long estimateInMemorySizeRLE(int nrColumns, boolean contiguousColumns, int nrValues, int nrRuns, int nrRows, double tupleSparsity, boolean lossy)

### estimateInMemorySizeSDC

static long estimateInMemorySizeSDC(int nrColumns, boolean contiguousColumns, int nrValues, int nrRows, int largestOff, double tupleSparsity, boolean largestOffZero, boolean lossy)

### estimateInMemorySizeCONST

static long estimateInMemorySizeCONST(int nrColumns, boolean contiguousColumns, double tupleSparsity, boolean lossy)

### estimateInMemorySizeEMPTY

static long estimateInMemorySizeEMPTY(int nrColumns, boolean contiguousColumns)

### estimateInMemorySizeUncompressed

static long estimateInMemorySizeUncompressed(int nrRows, boolean contiguousColumns, int nrColumns, double sparsity)

### estimateInMemorySizeLinearFunctional

static long estimateInMemorySizeLinearFunctional(int nrColumns, boolean contiguousColumns)